Bug 851307 - Deadlock when using pseudo session clock
Deadlock when using pseudo session clock
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.0.GA
All All
unspecified Severity high
: ---
: ---
Assigned To: Edson Tirelli
Martin Vecera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 14:09 EDT by Edson Tirelli
Modified: 2013-10-10 20:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A bug in lock acquisition between the PseudoClock and the Agenda was creating a deadlock, as a result, the engine would deadlock when running fireUntilHalt() in one thread and trying to advance the PseudoClock in a second thread. This has been resolved by properly handling the locks between the agenda and the clock, and the deadlock is no longer created.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3528 Major Resolved Deadlock when using pseudo session clock 2013-12-19 00:40:57 EST

  None (edit)
Description Edson Tirelli 2012-08-23 14:09:40 EDT
Description of problem:
See related JIRA ticket.
Comment 1 Edson Tirelli 2012-08-23 14:11:08 EDT
Fix backported into 5.3.1

http://github.com/droolsjbpm/drools/compare/7333876...4a910b5
Comment 2 Iva Zakova 2012-09-17 03:37:40 EDT
Verified in 5.3.1.ER1.

Note You need to log in before you can comment on or make changes to this bug.